# View a payout instrument

Endpoint: GET /parties/{partyId}/payoutInstruments/{payoutInstrumentId}
Version: 2025-01-01
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `partyId` (string, required)
    A unique identifier for the party generated by us. This is sent in the response of your party creation call.

  - `payoutInstrumentId` (string, required)
    A unique identifier for the payoutInstrument generated by us. This is sent in the response of your payoutInstrument creation call.

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `payoutInstrumentReference` (string)
    A reference of the `payoutInstrument` created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
    Example: primaryBusinessAccount

  - `payoutInstrumentId` (string)
    An ID generated by us to identify a payout instrument. You receive this in the response after successfully creating a payout instrument.
    Example: parOk0YlPtQogrqQdz7_fKXs0

  - `payoutInstrumentType` (string)
    The type of the payout instrument.
    Enum: "bankAccount", "wallet", "card"

  - `currency` (string, required)
    The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
    Example: GBP

  - `dateTimeCreated` (string)
    The date and time the `payoutInstrument` was created, as an ISO 8601 zoned date time.

  - `dateTimeUpdated` (string)
    The date and time the `payoutInstrument` was updated, as an ISO 8601 zoned date time.

  - `version` (integer)

  - `accountHolderName` (string)

  - `swiftBic` (string)

  - `bankCode` (string)
    The bankCode must be exactly 6 digits.
    Example: 184758

  - `accountNumber` (string)

  - `accountType` (string)
    Enum: "checking", "savings", "moneyMarket", "certificateOfDeposit", "vista", "other"

  - `iban` (string)

  - `bankName` (string)

  - `address` (object)
    Object containing details about the address.

  - `address.address1` (string, required)
    The address.

Must consist of at least two letters, two words, and one number.
    Example: 1847 Kingsbury Court

  - `address.address2` (string)
    Line two of the address.
    Example: Unit 42

  - `address.city` (string, required)
    The city of this address.
    Example: London

  - `address.state` (string)
    The state of this address.
    Example: Greater London

  - `address.countryCode` (string, required)
    The country code specified in [ISO 3166-1 Alpha-2 code format](/products/reference/supported-countries-currencies#iso-country-codes).
    Example: GB

  - `address.postalCode` (string)
    The postal code of this address.
    Example: NW9 0RR

  - `address.type` (string)
    Identifies the type of this address.
    Enum: "home", "business", "poBox", "other"

  - `branchCode` (string)

  - `id` (object)

  - `id.nanoPrefix` (string)

  - `id.nanoId` (string)

  - `token` (string)

## Response 400 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: bodyDoesNotMatchSchema

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: bodyDoesNotMatchSchema

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 503:

  - `503` (unknown)
    Service Unavailable

## Response 503 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: bodyDoesNotMatchSchema

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 200 examples:

  - `Get a payout instrument for existing party of person (modular)` (unknown)
    Get a payoutInstrument for a party of person  (modular)

  - `Get a payout instrument for existing party of sole trader (modular)` (unknown)
    Get a payoutInstrument for a party of soleTrader  (modular)

  - `Get a payout instrument for existing party of company (modular)` (unknown)
    Get a payoutInstrument for a party of company (modular)

## Response 400 examples:

  - `Bad request` (unknown)

  - `URL with invalid value` (unknown)

## Response 500 examples:

  - `Internal error occurred` (unknown)

## Response 503 examples:

  - `Service Unavailable` (unknown)

